import config
import create_pages
import create_feeds # Rss, Atom
try:
    import users
except:
    print("No users database")
try:
    import posts
except:
    print("No posts database")


def rebuild():
    create_pages.create_timeline()
    if config.rss == True:
        create_feeds.create_rss()
    if config.atom == True:
        create_feeds.create_atom()
    for current_user_index in range(len(users.users)):
        create_pages.create_user_page(current_user_index, users.users[current_user_index])
    for current_post_index in range(len(posts.posts)):
        create_pages.create_post_page(current_post_index)
